- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherOption Class Reference

the OtherOption class. More...

`#include <OSOption.h>`

Collaboration diagram for OtherOption:

[legend]
List of all members.

## Public Member Functions
| OtherOption ()
| Default constructor.
| ~OtherOption ()
| Class destructor.
bool | IsEqual (OtherOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | name
| the name of the option
std::string | value
| the value of the option
std::string | description
| the description of the option

## Detailed Description

the OtherOption class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to the OtherOption element in the OSoL schema.

Definition at line 135 of file OSOption.h.

## Constructor & Destructor Documentation

OtherOption::OtherOption | ( |  | ) |

Default constructor.

Definition at line 69 of file OSOption.cpp.

OtherOption::~OtherOption | ( |  | ) |

Class destructor.

Definition at line 79 of file OSOption.cpp.

## Member Function Documentation

bool OtherOption::IsEqual | ( | OtherOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 8477 of file OSOption.cpp.

References description, name, and value.

bool OtherOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10519 of file OSOption.cpp.

References description, name, OSRand(), and value.

Referenced by OtherOptions::setRandom().

## Member Data Documentation

std::string OtherOption::name

the name of the option

Definition at line 139 of file OSOption.h.

Referenced by OtherOptions::addOther(), IsEqual(), setRandom(), and OSoLWriter::writeOSoL().

std::string OtherOption::value

the value of the option

Definition at line 142 of file OSOption.h.

Referenced by OtherOptions::addOther(), IsEqual(), setRandom(), and OSoLWriter::writeOSoL().

std::string OtherOption::description

the description of the option

Definition at line 145 of file OSOption.h.

Referenced by OtherOptions::addOther(), IsEqual(), setRandom(), and OSoLWriter::writeOSoL().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp